curl --request GET \
--url https://{issuer}/step-up/{step_up_id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://{issuer}/step-up/{step_up_id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{issuer}/step-up/{step_up_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{issuer}/step-up/{step_up_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{issuer}/step-up/{step_up_id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{issuer}/step-up/{step_up_id}/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{issuer}/step-up/{step_up_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "94efc2c3-ca84-42fe-900b-6fb61669a7a1",
"rule": "payout",
"method": "selfie",
"status": "approved",
"level": "liveness_face_match",
"amount": "900.00",
"currency": "USD",
"created_at": "2026-10-17T10:41:14.894632Z",
"completed_at": "2026-10-17T10:43:02.118204Z",
"expires_at": "2026-10-17T11:11:14.894581Z"
}查询 Step-Up 状态 | Didit 认证 API
GET /step-up// 返回 Didit 中 Step-Up 的状态、方法和级别。仅当状态为已通过时才执行敏感操作。
curl --request GET \
--url https://{issuer}/step-up/{step_up_id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://{issuer}/step-up/{step_up_id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{issuer}/step-up/{step_up_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{issuer}/step-up/{step_up_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{issuer}/step-up/{step_up_id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{issuer}/step-up/{step_up_id}/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{issuer}/step-up/{step_up_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "94efc2c3-ca84-42fe-900b-6fb61669a7a1",
"rule": "payout",
"method": "selfie",
"status": "approved",
"level": "liveness_face_match",
"amount": "900.00",
"currency": "USD",
"created_at": "2026-10-17T10:41:14.894632Z",
"completed_at": "2026-10-17T10:43:02.118204Z",
"expires_at": "2026-10-17T11:11:14.894581Z"
}https://<name>.auth.didit.me,绝不接受您的 Didit API 密钥。404。pending 状态的 step-up 在 30 分钟后会显示为 expired。授权
来自 POST /token/ 的该人员访问 token:请求头带有 typ: at+jwt 的 ES256 JWT,有效期最多 5 分钟。并非您的 Didit API 密钥。
路径参数
来自 POST /step-up/ 的 id,也是您 return_to 中的 step_up 查询参数。非 UUID 值将返回 404 页面,而非 JSON。
响应
升级验证。
该人员在执行该操作前必须通过的验证。
"94efc2c3-ca84-42fe-900b-6fb61669a7a1"
请求该操作的规则。当有多条规则适用时,为采用最强方法的那条规则。
payout, device, bank, contact "payout"
该人员执行的操作:liveness、selfie(活体检测并与 Didit 已保存的人脸进行比对)或 full_id(证件和自拍照)。当 Didit 尚未保存该人员的人脸时,一旦其打开 verification_url,selfie 将转为 full_id。
liveness, selfie, full_id "selfie"
仅对 approved 采取操作。review 等待您的团队进行审核。当 verification_url 有效时,declined 并不是最终状态:用户可以重试,并且追加验证将恢复为 pending。superseded 表示另一项核验接管了其验证,或者该结果不属于此次追加验证:请创建一个新的验证。
pending, review, approved, declined, expired, superseded "pending"
验证一旦通过所达到的级别。
liveness, liveness_face_match, full_id, null null
付款金额,保留两位小数。
"900.00"
"USD"
"2026-10-17T10:41:14.894632Z"
null
创建后 30 分钟。读取 step-up 会先收集其验证达到的任何结果,因此在此时间之后仍可读取到 approved、review 或 declined;仍为 pending 的将读取为 expired。
"2026-10-17T11:11:14.894581Z"